com.brightcove.ssai.timeline

## Enum Timeline.Type

- java.lang.Object
- - java.lang.Enum<Timeline.Type>
  - - com.brightcove.ssai.timeline.Timeline.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Timeline.Type>
  Enclosing interface:
    Timeline

      public static enum Timeline.Type
      extends java.lang.Enum<Timeline.Type>

  The Timeline Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DYNAMIC` Timeline dynamic type.
    `STATIC` Timeline static type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Timeline.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Timeline.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATIC

          public static final Timeline.Type STATIC

      Timeline static type.

    - #### DYNAMIC

          public static final Timeline.Type DYNAMIC

      Timeline dynamic type.

  - ### Method Detail

    - #### values

          public static Timeline.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Timeline.Type c : Timeline.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Timeline.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null